import "@cmmn/core";
import { suite, test } from "@cmmn/tools/test";
let StoreSpec = class StoreSpec {
    // private mainStore = new SyncStore('main');
    // private testStore = new SyncStore('main');
    constructor() {
        // this.mainStore.adapter.connect(new ChannelMock());
        // this.testStore.adapter.connect(new ChannelMock());
    }
    async setAdd() {
        // const s1 = this.mainStore.getSet<number>('items');
        // const s2 = this.testStore.getSet<number>('items');
        // s1.add(1);
        // await Fn.asyncDelay(100);
        // expect(s2.has(1)).toBeTruthy()
    }
};
__decorate([
    test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], StoreSpec.prototype, "setAdd", null);
StoreSpec = __decorate([
    suite,
    __metadata("design:paramtypes", [])
], StoreSpec);
export { StoreSpec };
class Entity {
}
